	program example
c
c	...driver for GRAFX examples
c
	call gset
200	continue
	call gcls
	call putstr(2,5,'GRAFX EXAMPLES - MAIN MENU')
	call putstr(4,5,'0 - EXIT ')
	call putstr(5,5,'1 - LINE DRAWING MODES ')
	call putstr(6,5,'2 - X-Y PLOT ')
	call putstr(7,5,'3 - TIME SERIES PLOT ')
	call putstr(8,5,'4 - MULTIPLE OVERLAYED PLOTS ')
	call putstr(9,5,'5 - HISTOGRAMS ')
	call putstr(10,5,'6 - MULTIPLE VIEWS AND MID-LEVEL ROUTINES ')
	call putstr(11,5,'7 - ERASING USING MID-LEVEL ROUTINES ')
	call putstr(15,5,'ENTER OPTION: ')
	read(*,*,err=800,end=900)ip
	call gcls
	if(ip.eq.0)goto 900
	if(ip.eq.1)call lines
	if(ip.eq.2)call csat
	if(ip.eq.3)call smoth
	if(ip.eq.4)call sfit
	if(ip.eq.5)call stat
	if(ip.eq.6)call view9
	if(ip.eq.7)call worm
	goto 200
800	continue
	call error('INVALID INPUT - TRY A NUMBER FROM 1 TO 6')
	goto 200
900	continue
	call aset
	end
c	-------------------------------------------------------
	include 'lines.for'
	include 'csat.for'
	include 'smoth.for'
	include 'sfit.for'
	include 'stat.for'
	include 'view9.for'
	INCLUDE 'worm.for'
c	-------------------------------------------------------
